Semaphor

Create a tenant

Creates a new tenant inside your organization. The tenant name must be unique within the organization. You can optionally supply a custom id (letters, numbers, hyphens, and underscores only) and a defaultOwnerId pointing to an existing tenant user. Requires an Admin role.

POST
/api/management/v1/tenants

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped access token. Generate one via the Token API with your project ID and project secret.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X post "https://semaphor.cloud/api/management/v1/tenants" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "message": "string",
  "tenant": {
    "id": "string",
    "name": "string",
    "organizationId": "string",
    "organization": {
      "id": "string",
      "name": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "defaultOwnerId": "string",
    "defaultOwner": {
      "name": "string",
      "email": "user@example.com"
    },
    "defaultCalendarContext": {
      "tz": "string",
      "weekStart": 0
    },
    "userCount": 0
  }
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}